Skip to main content
GET
/
data
/
airports
Search list of airports
curl --request GET \
  --url https://api.staging.rovemiles.com/functions/v1/data/airports \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ab",
      "name": "John F. Kennedy International Airport",
      "iso_country": "US",
      "iso_region": "US-NY",
      "continent": "NA",
      "municipality": "New York",
      "gps_code": "KJFK",
      "iata_code": "JFK",
      "country": "United States",
      "latitude": 40.6413,
      "longitude": -73.7781
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 20,
    "offset": 0,
    "hasMore": false
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Query Parameters

q
string

General search term to filter airports by name, city, country, etc.

Minimum string length: 2
iata
string

Filter airports by IATA code (e.g., JFK, LHR)

Pattern: ^[A-Z]{3}$
country
string

Filter airports by country code (ISO 3166-1 alpha-2)

Pattern: ^[A-Z]{2}$
limit
integer
default:20

Maximum number of results to return per page (1-100)

Required range: 1 <= x <= 100
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Response

Successfully retrieved list of airports

data
object[]
required
pagination
object
required